import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AlertPolicyChannelConfig extends cdktf.TerraformMetaArguments {
    /**
     * Array of channel IDs to apply to the specified policy.
     *
     * We recommended sorting channel IDs in ascending order to avoid drift your Terraform state.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/alert_policy_channel.html#channel_ids AlertPolicyChannel#channel_ids}
     *
     * @stability stable
     */
    readonly channelIds: number[];
    /**
     * The ID of the policy.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/alert_policy_channel.html#policy_id AlertPolicyChannel#policy_id}
     *
     * @stability stable
     */
    readonly policyId: number;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/r/alert_policy_channel.html newrelic_alert_policy_channel}.
 *
 * @stability stable
 */
export declare class AlertPolicyChannel extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/r/alert_policy_channel.html newrelic_alert_policy_channel} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AlertPolicyChannelConfig);
    private _channelIds?;
    /**
     * @stability stable
     */
    get channelIds(): number[];
    /**
     * @stability stable
     */
    set channelIds(value: number[]);
    /**
     * @stability stable
     */
    get channelIdsInput(): number[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _policyId?;
    /**
     * @stability stable
     */
    get policyId(): number;
    /**
     * @stability stable
     */
    set policyId(value: number);
    /**
     * @stability stable
     */
    get policyIdInput(): number | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
