import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiAccessKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#account_id ApiAccessKey#account_id}.
     *
     * @stability stable
     */
    readonly accountId: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#ingest_type ApiAccessKey#ingest_type}.
     *
     * @stability stable
     */
    readonly ingestType?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#key_type ApiAccessKey#key_type}.
     *
     * @stability stable
     */
    readonly keyType: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#name ApiAccessKey#name}.
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#notes ApiAccessKey#notes}.
     *
     * @stability stable
     */
    readonly notes?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html#user_id ApiAccessKey#user_id}.
     *
     * @stability stable
     */
    readonly userId?: number;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html newrelic_api_access_key}.
 *
 * @stability stable
 */
export declare class ApiAccessKey extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/r/api_access_key.html newrelic_api_access_key} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiAccessKeyConfig);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): number;
    /**
     * @stability stable
     */
    set accountId(value: number);
    /**
     * @stability stable
     */
    get accountIdInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _ingestType?;
    /**
     * @stability stable
     */
    get ingestType(): string;
    /**
     * @stability stable
     */
    set ingestType(value: string);
    /**
     * @stability stable
     */
    resetIngestType(): void;
    /**
     * @stability stable
     */
    get ingestTypeInput(): string | undefined;
    /**
     * @stability stable
     */
    get key(): string;
    private _keyType?;
    /**
     * @stability stable
     */
    get keyType(): string;
    /**
     * @stability stable
     */
    set keyType(value: string);
    /**
     * @stability stable
     */
    get keyTypeInput(): string | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _notes?;
    /**
     * @stability stable
     */
    get notes(): string;
    /**
     * @stability stable
     */
    set notes(value: string);
    /**
     * @stability stable
     */
    resetNotes(): void;
    /**
     * @stability stable
     */
    get notesInput(): string | undefined;
    private _userId?;
    /**
     * @stability stable
     */
    get userId(): number;
    /**
     * @stability stable
     */
    set userId(value: number);
    /**
     * @stability stable
     */
    resetUserId(): void;
    /**
     * @stability stable
     */
    get userIdInput(): number | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
