import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApplicationSettingsConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html#app_apdex_threshold ApplicationSettings#app_apdex_threshold}.
     *
     * @stability stable
     */
    readonly appApdexThreshold: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html#enable_real_user_monitoring ApplicationSettings#enable_real_user_monitoring}.
     *
     * @stability stable
     */
    readonly enableRealUserMonitoring: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html#end_user_apdex_threshold ApplicationSettings#end_user_apdex_threshold}.
     *
     * @stability stable
     */
    readonly endUserApdexThreshold: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html#name ApplicationSettings#name}.
     *
     * @stability stable
     */
    readonly name: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html newrelic_application_settings}.
 *
 * @stability stable
 */
export declare class ApplicationSettings extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/r/application_settings.html newrelic_application_settings} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApplicationSettingsConfig);
    private _appApdexThreshold?;
    /**
     * @stability stable
     */
    get appApdexThreshold(): number;
    /**
     * @stability stable
     */
    set appApdexThreshold(value: number);
    /**
     * @stability stable
     */
    get appApdexThresholdInput(): number | undefined;
    private _enableRealUserMonitoring?;
    /**
     * @stability stable
     */
    get enableRealUserMonitoring(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set enableRealUserMonitoring(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    get enableRealUserMonitoringInput(): boolean | cdktf.IResolvable | undefined;
    private _endUserApdexThreshold?;
    /**
     * @stability stable
     */
    get endUserApdexThreshold(): number;
    /**
     * @stability stable
     */
    set endUserApdexThreshold(value: number);
    /**
     * @stability stable
     */
    get endUserApdexThresholdInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
