import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * The ID of the account in New Relic.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/account.html#account_id DataNewrelicAccount#account_id}
     *
     * @stability stable
     */
    readonly accountId?: number;
    /**
     * The name of the account in New Relic.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/account.html#name DataNewrelicAccount#name}
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * The scope of the account in New Relic.  Valid values are "global" and "in_region".  Defaults to "in_region".
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/account.html#scope DataNewrelicAccount#scope}
     *
     * @stability stable
     */
    readonly scope?: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/account.html newrelic_account}.
 *
 * @stability stable
 */
export declare class DataNewrelicAccount extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/account.html newrelic_account} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataNewrelicAccountConfig);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): number;
    /**
     * @stability stable
     */
    set accountId(value: number);
    /**
     * @stability stable
     */
    resetAccountId(): void;
    /**
     * @stability stable
     */
    get accountIdInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _scope?;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    resetScope(): void;
    /**
     * @stability stable
     */
    get scopeInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
