import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicAlertChannelConfig extends cdktf.TerraformMetaArguments {
    /**
     * The name of the alert channel in New Relic.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/alert_channel.html#name DataNewrelicAlertChannel#name}
     *
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class DataNewrelicAlertChannelConfigA extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiKey(): string;
    /**
     * @stability stable
     */
    get authPassword(): string;
    /**
     * @stability stable
     */
    get authType(): string;
    /**
     * @stability stable
     */
    get authUsername(): string;
    /**
     * @stability stable
     */
    get baseUrl(): string;
    /**
     * @stability stable
     */
    get channel(): string;
    /**
     * @stability stable
     */
    get headers(): any;
    /**
     * @stability stable
     */
    get includeJsonAttachment(): string;
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get payload(): any;
    /**
     * @stability stable
     */
    get payloadType(): string;
    /**
     * @stability stable
     */
    get recipients(): string;
    /**
     * @stability stable
     */
    get region(): string;
    /**
     * @stability stable
     */
    get routeKey(): string;
    /**
     * @stability stable
     */
    get serviceKey(): string;
    /**
     * @stability stable
     */
    get tags(): string;
    /**
     * @stability stable
     */
    get teams(): string;
    /**
     * @stability stable
     */
    get url(): string;
    /**
     * @stability stable
     */
    get userId(): string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/alert_channel.html newrelic_alert_channel}.
 *
 * @stability stable
 */
export declare class DataNewrelicAlertChannel extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/alert_channel.html newrelic_alert_channel} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicAlertChannelConfig);
    /**
     * @stability stable
     */
    config(index: string): DataNewrelicAlertChannelConfigA;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get policyIds(): any;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
