import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicAlertPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * The New Relic account ID to operate on.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/alert_policy.html#account_id DataNewrelicAlertPolicy#account_id}
     *
     * @stability stable
     */
    readonly accountId?: number;
    /**
     * The rollup strategy for the policy. Options include: `PER_POLICY`, `PER_CONDITION`, or `PER_CONDITION_AND_TARGET`. The default is `PER_POLICY`.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/alert_policy.html#incident_preference DataNewrelicAlertPolicy#incident_preference}
     *
     * @stability stable
     */
    readonly incidentPreference?: string;
    /**
     * The name of the alert policy in New Relic.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/alert_policy.html#name DataNewrelicAlertPolicy#name}
     *
     * @stability stable
     */
    readonly name: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/alert_policy.html newrelic_alert_policy}.
 *
 * @stability stable
 */
export declare class DataNewrelicAlertPolicy extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/alert_policy.html newrelic_alert_policy} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicAlertPolicyConfig);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): number;
    /**
     * @stability stable
     */
    set accountId(value: number);
    /**
     * @stability stable
     */
    resetAccountId(): void;
    /**
     * @stability stable
     */
    get accountIdInput(): number | undefined;
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _incidentPreference?;
    /**
     * @stability stable
     */
    get incidentPreference(): string;
    /**
     * @stability stable
     */
    set incidentPreference(value: string);
    /**
     * @stability stable
     */
    resetIncidentPreference(): void;
    /**
     * @stability stable
     */
    get incidentPreferenceInput(): string | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get updatedAt(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
