import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicPluginComponentConfig extends cdktf.TerraformMetaArguments {
    /**
     * The name of the plugin component.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/plugin_component.html#name DataNewrelicPluginComponent#name}
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * The ID of the plugin instance this component belongs to.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/plugin_component.html#plugin_id DataNewrelicPluginComponent#plugin_id}
     *
     * @stability stable
     */
    readonly pluginId: number;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/plugin_component.html newrelic_plugin_component}.
 *
 * @stability stable
 */
export declare class DataNewrelicPluginComponent extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/plugin_component.html newrelic_plugin_component} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicPluginComponentConfig);
    /**
     * @stability stable
     */
    get healthStatus(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _pluginId?;
    /**
     * @stability stable
     */
    get pluginId(): number;
    /**
     * @stability stable
     */
    set pluginId(value: number);
    /**
     * @stability stable
     */
    get pluginIdInput(): number | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
