import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicPluginConfig extends cdktf.TerraformMetaArguments {
    /**
     * The GUID of the plugin in New Relic.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/plugin.html#guid DataNewrelicPlugin#guid}
     *
     * @stability stable
     */
    readonly guid: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/plugin.html newrelic_plugin}.
 *
 * @stability stable
 */
export declare class DataNewrelicPlugin extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/plugin.html newrelic_plugin} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicPluginConfig);
    private _guid?;
    /**
     * @stability stable
     */
    get guid(): string;
    /**
     * @stability stable
     */
    set guid(value: string);
    /**
     * @stability stable
     */
    get guidInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
