import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicSyntheticsMonitorLocationConfig extends cdktf.TerraformMetaArguments {
    /**
     * The label of the Synthetics monitor location.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_monitor_location.html#label DataNewrelicSyntheticsMonitorLocation#label}
     *
     * @stability stable
     */
    readonly label: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_monitor_location.html newrelic_synthetics_monitor_location}.
 *
 * @stability stable
 */
export declare class DataNewrelicSyntheticsMonitorLocation extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_monitor_location.html newrelic_synthetics_monitor_location} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicSyntheticsMonitorLocationConfig);
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get highSecurityMode(): any;
    /**
     * @stability stable
     */
    get id(): string;
    private _label?;
    /**
     * @stability stable
     */
    get label(): string;
    /**
     * @stability stable
     */
    set label(value: string);
    /**
     * @stability stable
     */
    get labelInput(): string | undefined;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get private(): any;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
