import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataNewrelicSyntheticsSecureCredentialConfig extends cdktf.TerraformMetaArguments {
    /**
     * The secure credential's key name.
     *
     * Regardless of the case used in the configuration, the provider will provide an upcased key to the underlying API.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_secure_credential.html#key DataNewrelicSyntheticsSecureCredential#key}
     *
     * @stability stable
     */
    readonly key: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_secure_credential.html newrelic_synthetics_secure_credential}.
 *
 * @stability stable
 */
export declare class DataNewrelicSyntheticsSecureCredential extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/d/synthetics_secure_credential.html newrelic_synthetics_secure_credential} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataNewrelicSyntheticsSecureCredentialConfig);
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _key?;
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    set key(value: string);
    /**
     * @stability stable
     */
    get keyInput(): string | undefined;
    /**
     * @stability stable
     */
    get lastUpdated(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
