import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServiceLevelConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#description ServiceLevel#description}.
     *
     * @stability stable
     */
    readonly description?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#guid ServiceLevel#guid}.
     *
     * @stability stable
     */
    readonly guid: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#name ServiceLevel#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * events block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#events ServiceLevel#events}
     *
     * @stability stable
     */
    readonly events: ServiceLevelEvents;
    /**
     * objective block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#objective ServiceLevel#objective}
     *
     * @stability stable
     */
    readonly objective?: ServiceLevelObjective[];
}
/**
 * @stability stable
 */
export interface ServiceLevelEventsBadEvents {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#from ServiceLevel#from}.
     *
     * @stability stable
     */
    readonly from: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#where ServiceLevel#where}.
     *
     * @stability stable
     */
    readonly where?: string;
}
export declare function serviceLevelEventsBadEventsToTerraform(struct?: ServiceLevelEventsBadEventsOutputReference | ServiceLevelEventsBadEvents): any;
/**
 * @stability stable
 */
export declare class ServiceLevelEventsBadEventsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelEventsBadEvents | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelEventsBadEvents | undefined);
    private _from?;
    /**
     * @stability stable
     */
    get from(): string;
    /**
     * @stability stable
     */
    set from(value: string);
    /**
     * @stability stable
     */
    get fromInput(): string | undefined;
    private _where?;
    /**
     * @stability stable
     */
    get where(): string;
    /**
     * @stability stable
     */
    set where(value: string);
    /**
     * @stability stable
     */
    resetWhere(): void;
    /**
     * @stability stable
     */
    get whereInput(): string | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelEventsGoodEvents {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#from ServiceLevel#from}.
     *
     * @stability stable
     */
    readonly from: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#where ServiceLevel#where}.
     *
     * @stability stable
     */
    readonly where?: string;
}
export declare function serviceLevelEventsGoodEventsToTerraform(struct?: ServiceLevelEventsGoodEventsOutputReference | ServiceLevelEventsGoodEvents): any;
/**
 * @stability stable
 */
export declare class ServiceLevelEventsGoodEventsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelEventsGoodEvents | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelEventsGoodEvents | undefined);
    private _from?;
    /**
     * @stability stable
     */
    get from(): string;
    /**
     * @stability stable
     */
    set from(value: string);
    /**
     * @stability stable
     */
    get fromInput(): string | undefined;
    private _where?;
    /**
     * @stability stable
     */
    get where(): string;
    /**
     * @stability stable
     */
    set where(value: string);
    /**
     * @stability stable
     */
    resetWhere(): void;
    /**
     * @stability stable
     */
    get whereInput(): string | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelEventsValidEvents {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#from ServiceLevel#from}.
     *
     * @stability stable
     */
    readonly from: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#where ServiceLevel#where}.
     *
     * @stability stable
     */
    readonly where?: string;
}
export declare function serviceLevelEventsValidEventsToTerraform(struct?: ServiceLevelEventsValidEventsOutputReference | ServiceLevelEventsValidEvents): any;
/**
 * @stability stable
 */
export declare class ServiceLevelEventsValidEventsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelEventsValidEvents | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelEventsValidEvents | undefined);
    private _from?;
    /**
     * @stability stable
     */
    get from(): string;
    /**
     * @stability stable
     */
    set from(value: string);
    /**
     * @stability stable
     */
    get fromInput(): string | undefined;
    private _where?;
    /**
     * @stability stable
     */
    get where(): string;
    /**
     * @stability stable
     */
    set where(value: string);
    /**
     * @stability stable
     */
    resetWhere(): void;
    /**
     * @stability stable
     */
    get whereInput(): string | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelEvents {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#account_id ServiceLevel#account_id}.
     *
     * @stability stable
     */
    readonly accountId: number;
    /**
     * bad_events block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#bad_events ServiceLevel#bad_events}
     *
     * @stability stable
     */
    readonly badEvents?: ServiceLevelEventsBadEvents;
    /**
     * good_events block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#good_events ServiceLevel#good_events}
     *
     * @stability stable
     */
    readonly goodEvents?: ServiceLevelEventsGoodEvents;
    /**
     * valid_events block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#valid_events ServiceLevel#valid_events}
     *
     * @stability stable
     */
    readonly validEvents: ServiceLevelEventsValidEvents;
}
export declare function serviceLevelEventsToTerraform(struct?: ServiceLevelEventsOutputReference | ServiceLevelEvents): any;
/**
 * @stability stable
 */
export declare class ServiceLevelEventsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelEvents | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelEvents | undefined);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): number;
    /**
     * @stability stable
     */
    set accountId(value: number);
    /**
     * @stability stable
     */
    get accountIdInput(): number | undefined;
    private _badEvents;
    /**
     * @stability stable
     */
    get badEvents(): ServiceLevelEventsBadEventsOutputReference;
    /**
     * @stability stable
     */
    putBadEvents(value: ServiceLevelEventsBadEvents): void;
    /**
     * @stability stable
     */
    resetBadEvents(): void;
    /**
     * @stability stable
     */
    get badEventsInput(): ServiceLevelEventsBadEvents | undefined;
    private _goodEvents;
    /**
     * @stability stable
     */
    get goodEvents(): ServiceLevelEventsGoodEventsOutputReference;
    /**
     * @stability stable
     */
    putGoodEvents(value: ServiceLevelEventsGoodEvents): void;
    /**
     * @stability stable
     */
    resetGoodEvents(): void;
    /**
     * @stability stable
     */
    get goodEventsInput(): ServiceLevelEventsGoodEvents | undefined;
    private _validEvents;
    /**
     * @stability stable
     */
    get validEvents(): ServiceLevelEventsValidEventsOutputReference;
    /**
     * @stability stable
     */
    putValidEvents(value: ServiceLevelEventsValidEvents): void;
    /**
     * @stability stable
     */
    get validEventsInput(): ServiceLevelEventsValidEvents | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelObjectiveTimeWindowRolling {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#count ServiceLevel#count}.
     *
     * @stability stable
     */
    readonly count: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#unit ServiceLevel#unit}.
     *
     * @stability stable
     */
    readonly unit: string;
}
export declare function serviceLevelObjectiveTimeWindowRollingToTerraform(struct?: ServiceLevelObjectiveTimeWindowRollingOutputReference | ServiceLevelObjectiveTimeWindowRolling): any;
/**
 * @stability stable
 */
export declare class ServiceLevelObjectiveTimeWindowRollingOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelObjectiveTimeWindowRolling | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelObjectiveTimeWindowRolling | undefined);
    private _count?;
    /**
     * @stability stable
     */
    get count(): number;
    /**
     * @stability stable
     */
    set count(value: number);
    /**
     * @stability stable
     */
    get countInput(): number | undefined;
    private _unit?;
    /**
     * @stability stable
     */
    get unit(): string;
    /**
     * @stability stable
     */
    set unit(value: string);
    /**
     * @stability stable
     */
    get unitInput(): string | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelObjectiveTimeWindow {
    /**
     * rolling block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#rolling ServiceLevel#rolling}
     *
     * @stability stable
     */
    readonly rolling: ServiceLevelObjectiveTimeWindowRolling;
}
export declare function serviceLevelObjectiveTimeWindowToTerraform(struct?: ServiceLevelObjectiveTimeWindowOutputReference | ServiceLevelObjectiveTimeWindow): any;
/**
 * @stability stable
 */
export declare class ServiceLevelObjectiveTimeWindowOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceLevelObjectiveTimeWindow | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceLevelObjectiveTimeWindow | undefined);
    private _rolling;
    /**
     * @stability stable
     */
    get rolling(): ServiceLevelObjectiveTimeWindowRollingOutputReference;
    /**
     * @stability stable
     */
    putRolling(value: ServiceLevelObjectiveTimeWindowRolling): void;
    /**
     * @stability stable
     */
    get rollingInput(): ServiceLevelObjectiveTimeWindowRolling | undefined;
}
/**
 * @stability stable
 */
export interface ServiceLevelObjective {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#description ServiceLevel#description}.
     *
     * @stability stable
     */
    readonly description?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#name ServiceLevel#name}.
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#target ServiceLevel#target}.
     *
     * @stability stable
     */
    readonly target: number;
    /**
     * time_window block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html#time_window ServiceLevel#time_window}
     *
     * @stability stable
     */
    readonly timeWindow: ServiceLevelObjectiveTimeWindow;
}
export declare function serviceLevelObjectiveToTerraform(struct?: ServiceLevelObjective): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html newrelic_service_level}.
 *
 * @stability stable
 */
export declare class ServiceLevel extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/newrelic/r/service_level.html newrelic_service_level} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServiceLevelConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _guid?;
    /**
     * @stability stable
     */
    get guid(): string;
    /**
     * @stability stable
     */
    set guid(value: string);
    /**
     * @stability stable
     */
    get guidInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get sliId(): string;
    private _events;
    /**
     * @stability stable
     */
    get events(): ServiceLevelEventsOutputReference;
    /**
     * @stability stable
     */
    putEvents(value: ServiceLevelEvents): void;
    /**
     * @stability stable
     */
    get eventsInput(): ServiceLevelEvents | undefined;
    private _objective?;
    /**
     * @stability stable
     */
    get objective(): ServiceLevelObjective[];
    /**
     * @stability stable
     */
    set objective(value: ServiceLevelObjective[]);
    /**
     * @stability stable
     */
    resetObjective(): void;
    /**
     * @stability stable
     */
    get objectiveInput(): ServiceLevelObjective[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
